Name: cvsgraph
Version: 1.5.2
Release: alt1

Summary: Create graphs of branches and revisions for files in a CVS repository
License: GPL
Group: System/Servers
URL: http://www.akhphd.au.dk/~bertho/cvsgraph
Source: %url/release/%name-%version.tar.gz
Patch0: cvsgraph-config.patch
Patch1: cvsgraph-man.patch

# Automatically added by buildreq on Tue Jul 19 2005
BuildRequires: flex fontconfig freetype2-devel libgd2-devel libjpeg-devel zlib-devel

Requires: xorg-x11-ttf-fonts

%description
CvsGraph is a utility to make a graphical representation of all revisions
and branches of a file in a CVS/RCS repository. It has been inspired by
the 'graph' option in WinCVS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure
%make_build

%install
install -Dpm755 cvsgraph %buildroot%_bindir/cvsgraph
install -Dpm644 cvsgraph.conf %buildroot%_sysconfdir/cvsgraph.conf
install -Dpm644 cvsgraph.1 %buildroot%_mandir/man1/cvsgraph.1
install -Dpm644 cvsgraph.conf.5 %buildroot%_mandir/man5/cvsgraph.conf.5

%files
%config(noreplace) %_sysconfdir/*
%_bindir/*
%_man1dir/*
%_man5dir/*
%doc ChangeLog README

%changelog
* Tue Jul 19 2005 Victor Forsyuk <force@altlinux.ru> 1.5.2-alt1
- Initial build.
